### Method

# Gtk TextBuffer set_max_undo_levels

#### Declaration [src]

    void
    gtk_text_buffer_set_max_undo_levels (
      GtkTextBuffer* buffer,
      guint max_undo_levels
    )

#### Description [src]

Sets the maximum number of undo levels to perform.

If 0, unlimited undo actions may be performed. Note that this may have a memory usage impact as it requires storing an additional copy of the inserted or removed text within the text buffer.

#### Parameters

`max_undo_levels` | `guint`
| The maximum number of undo actions to perform.